Bug 1005716 - mount.nfs exit code not right.
mount.nfs exit code not right.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nfs-utils (Show other bugs)
5.10
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Steve Dickson
Red Hat Kernel QE team
:
Depends On: 1005697
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 05:15 EDT by Yin.JianHong
Modified: 2014-02-05 17:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1005697
Environment:
Last Closed: 2014-02-05 17:16:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Yin.JianHong 2013-09-09 05:16:00 EDT
[root@dhcp-13-194 ~]# lsb_release -sir
RedHatEnterpriseServer 5.10
[root@dhcp-13-194 ~]# rpm -q nfs-utils
nfs-utils-1.0.9-69.el5
[root@dhcp-13-194 ~]# mount.nfs  -o vers=3  127.0.0.1:/tmp  /media/
usage: mount.nfs remotetarget dir [-rvVwfnh] [-t version] [-o nfsoptions]
options:
        -r              Mount file system readonly
        -v              Verbose
        -V              Print version
        -w              Mount file system read-write
        -f              Fake mount, don't actually mount
        -n              Do not update /etc/mtab
        -s              Tolerate sloppy mount options rather than failing.
        -h              Print this help
        version         nfs4 - NFS version 4, nfs - older NFS version supported
        nfsoptions      Refer mount.nfs(8) or nfs(5)

[root@dhcp-13-194 ~]# mount.nfs  -o nfsvers=3  127.0.0.1:/tmp  /media/
usage: mount.nfs remotetarget dir [-rvVwfnh] [-t version] [-o nfsoptions]
options:
        -r              Mount file system readonly
        -v              Verbose
        -V              Print version
        -w              Mount file system read-write
        -f              Fake mount, don't actually mount
        -n              Do not update /etc/mtab
        -s              Tolerate sloppy mount options rather than failing.
        -h              Print this help
        version         nfs4 - NFS version 4, nfs - older NFS version supported
        nfsoptions      Refer mount.nfs(8) or nfs(5)

[root@dhcp-13-194 ~]# echo $?
0
[root@dhcp-13-194 ~]# cat /etc/issue
Red Hat Enterprise Linux Server release 5.10 Beta (Tikanga)
Kernel \r on an \m
Comment 2 RHEL Product and Program Management 2014-01-29 05:34:30 EST
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 3 RHEL Product and Program Management 2014-02-05 17:16:51 EST
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.